# startRecording()

Starts a cloud recording of the meeting. The result **mp4** file will be available in your team dashboard after recording is stopped and processed.

```javascript
sambaFrame.startRecording();
```

The related event is [recordingStarted](/reference/sdk/events/recordingstarted.md), if you want to be informed when a recording is started.

{% hint style="info" %}
The method call will be ignored if recordings are not enabled for the room or if a room recording is already in progress.
{% endhint %}

**Sample use cases**:&#x20;

* You may want to record the meeting, so participants can review it after. Especially useful in educational scenarios.

{% hint style="info" %}
**startRecording** is often used in conjunction with [stopRecording](/reference/sdk/methods/stoprecording.md) method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/startrecording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
